[**@rxap/tree v19.0.4-dev.0**](../README.md)

***

[@rxap/tree](../globals.md) / TreeApplyFilterParameter

# Interface: TreeApplyFilterParameter\<Form, Data\>

Defined in: [tree/src/lib/tree.data-source.ts:119](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/tree.data-source.ts#L119)

## Type Parameters

• **Form** *extends* [`ISearchForm`](ISearchForm.md) = [`ISearchForm`](ISearchForm.md)

• **Data** *extends* `WithIdentifier` & `WithChildren` = `any`

## Properties

### filter

> **filter**: `Form`

Defined in: [tree/src/lib/tree.data-source.ts:121](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/tree.data-source.ts#L121)

***

### scopeTypes?

> `optional` **scopeTypes**: `string`[]

Defined in: [tree/src/lib/tree.data-source.ts:122](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/tree.data-source.ts#L122)

***

### tree

> **tree**: `Node`\<`Data`, `any`\>[]

Defined in: [tree/src/lib/tree.data-source.ts:120](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/tree.data-source.ts#L120)
